Bug 193764 - config channels not deployed during kickstart
config channels not deployed during kickstart
Status: CLOSED WONTFIX
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Provisioning (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McCune
Brandon Perkins
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-01 09:48 EDT by Kurt Keller
Modified: 2009-08-21 23:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-21 23:06:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kurt Keller 2006-06-01 09:48:14 EDT
Description of problem:
Files from config channels are not deployed upon kickstart.


Version-Release number of selected component (if applicable):
satellite server 3.7.0 (training location) under RHEL-4-ES-U2
satellite server 3.6.x to be rechecked when back at the office,
  but I know one of my coworkers mentioned something about file
  not being deployed too


How reproducible:
always

Steps to Reproduce:
1. create config channel
2. add files to config channel
3. setup config channel files to be deployed automatically when kickstarting
4. kickstart client

  
Actual results:
The kickstarted machine shows a failed event in the satellite with the
following text:
> This action's status is: Failed.
> The client picked up this action on 2006-06-01 15:30:06 CEST.
> The client completed this action on 2006-06-01 15:30:06 CEST.
> Client execution returned "Invalid function call attempted" (code 6)
and the config files are not deployed

 
Expected results:
The files should be deployed upon kickstarting.

Additional info:
- deploying the files later on manually works fine
- possible workaround:
  add the following line to the post section of the kickstart file:
    rhncfg-client get
Comment 1 Red Hat Bugzilla 2007-04-11 20:45:25 EDT
User bnackash@redhat.com's account has been closed
Comment 3 Clifford Perry 2009-08-21 23:06:58 EDT
Satellite 3.x has EOL'd. Closing this bug out. 

http://www.redhat.com/security/updates/satellite/

Regards,
Cliff

Note You need to log in before you can comment on or make changes to this bug.